//
// SPDX-FileCopyrightText: Copyright 2023-2024 Arm Limited and/or its affiliates <open-source-office@arm.com>
//
// SPDX-License-Identifier: Apache-2.0
//
// Licensed under the Apache License, Version 2.0 (the License); you may
// not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Generated by tosaValidationGenerator for TOSA Specification 0.60.0
// Do not edit.

#pragma once

#include "tosa/tosa_validator.hpp"

namespace tosa
{
namespace validator
{
namespace checks
{
// Checks for TOSA Specification 0.60.0
void ErrorIfCheck_ai0sdq9wgm72(const regor::Operation *op, const Context &context);
void ErrorIfCheck_gpp861oen43y(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1vu5c1tytwmhu(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1n0denkrrrlr1(const regor::Operation *op, const Context &context);
void ErrorIfCheck_36r4wpx3psd81(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1lrylbkd3w7ix(const regor::Operation *op, const Context &context);
void ErrorIfCheck_ojmgqziimenu(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3vqy81ueu5wjk(const regor::Operation *op, const Context &context);
void ErrorIfCheck_125xuezh1964i(const regor::Operation *op, const Context &context);
void ErrorIfCheck_fqta626ku4qe(const regor::Operation *op, const Context &context);
void ErrorIfCheck_ycjhrvf2yigr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1c57olj698f3d(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1hby1qurzja4f(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1md8k265hfj92(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3fzsq78v5ypau(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2vhj6e48eyzlr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_147wc580l2tik(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2rm8rnsdfn14h(const regor::Operation *op, const Context &context);
void ErrorIfCheck_36emtx7zwkk96(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2r9jencgka20o(const regor::Operation *op, const Context &context);
void ErrorIfCheck_207p0r46d35m0(const regor::Operation *op, const Context &context);
void ErrorIfCheck_cr43yjpqkcpd(const regor::Operation *op, const Context &context);
void ErrorIfCheck_341t6ysqc16b2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_uqm570jwaqb6(const regor::Operation *op, const Context &context);
void ErrorIfCheck_34iiwt6o66qfa(const regor::Operation *op, const Context &context);
void ErrorIfCheck_llbd3iugmek0(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1w510kxt5b2b2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_27g3t38z1of4h(const regor::Operation *op, const Context &context);
void ErrorIfCheck_95jvn4dzraol(const regor::Operation *op, const Context &context);
void ErrorIfCheck_21377cjnb1ox7(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2cpco8ykx99sa(const regor::Operation *op, const Context &context);
void ErrorIfCheck_10sexbqileii7(const regor::Operation *op, const Context &context);
void ErrorIfCheck_12rt0p658ac1(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3cem64qtn6ajr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1hp4djlq1mi8i(const regor::Operation *op, const Context &context);
void ErrorIfCheck_20r08ymi6c43u(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1xwwkxeypcw3j(const regor::Operation *op, const Context &context);
void ErrorIfCheck_vi3hzxbetjyg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1m8qk2pbuovev(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1iv4j2x95j8dk(const regor::Operation *op, const Context &context);
void ErrorIfCheck_316kdwzc9jf5x(const regor::Operation *op, const Context &context);
void ErrorIfCheck_tnr115b4spgw(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3ufiqep5ipuco(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3kcipzq18dxv9(const regor::Operation *op, const Context &context);
void ErrorIfCheck_jcjmr2nnatvv(const regor::Operation *op, const Context &context);
void ErrorIfCheck_qwmo2w7hxola(const regor::Operation *op, const Context &context);
void ErrorIfCheck_c9o11f07skde(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1ellfcuw76b13(const regor::Operation *op, const Context &context);
void ErrorIfCheck_h1uadv5irsu6(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1kfh97qingywb(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1azcq4511qzyx(const regor::Operation *op, const Context &context);
void ErrorIfCheck_15o9wo9pu7mrg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_13tqdu59nyxyh(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2kgf2jejxlrr6(const regor::Operation *op, const Context &context);
void ErrorIfCheck_q9dl3x81rc4o(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2rfkujt9lg7eq(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3nelbnmxyemot(const regor::Operation *op, const Context &context);
void ErrorIfCheck_24conlof4w8eh(const regor::Operation *op, const Context &context);
void ErrorIfCheck_xod9coigx1x2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1yism57if6v2z(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3k5ug2w7gxc7r(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2gdayq6ofi7wx(const regor::Operation *op, const Context &context);
void ErrorIfCheck_38qvty7pudfz2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3tccsjner0km9(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3tg4p2a5te0jy(const regor::Operation *op, const Context &context);
void ErrorIfCheck_33exz9gn2i1wy(const regor::Operation *op, const Context &context);
void ErrorIfCheck_14slfd7r77hgh(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1fzhf02pkiw9z(const regor::Operation *op, const Context &context);
void ErrorIfCheck_16s99hvsej4fo(const regor::Operation *op, const Context &context);
void ErrorIfCheck_dctmd6sgn5n0(const regor::Operation *op, const Context &context);
void ErrorIfCheck_14z7y0qe9lwps(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2rfef32dgp3be(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2sfcgak3rj1vs(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2a1jpygblc07i(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3hthyoock2ew5(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1nifeiq9rvmb8(const regor::Operation *op, const Context &context);
void ErrorIfCheck_21rq6kn6p1yle(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3rghkieqip43o(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1cyv9n59wyyyc(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3oy2tclc6uhsu(const regor::Operation *op, const Context &context);
void ErrorIfCheck_gpp3enlp1ddg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_ix9div4ld46q(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3estuseky2gm2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_5bq1fx1llv8(const regor::Operation *op, const Context &context);
void ErrorIfCheck_ckwpttzajw06(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2n1ratxgd89tx(const regor::Operation *op, const Context &context);
void ErrorIfCheck_aizwrn95lb0l(const regor::Operation *op, const Context &context);
void ErrorIfCheck_294afuxnedk9i(const regor::Operation *op, const Context &context);
void ErrorIfCheck_27p0n0pjt2bd6(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1uwmsen32dse1(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3c5bq3iswjd1x(const regor::Operation *op, const Context &context);
void ErrorIfCheck_53yuoon46swi(const regor::Operation *op, const Context &context);
void ErrorIfCheck_q9pgbwuvutqu(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1qdcccs22lqtr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2azl8wc8mbsrj(const regor::Operation *op, const Context &context);
void ErrorIfCheck_122a36k26p0au(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3sfcy967j2w8w(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1obslcewwn583(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3oxfjen91qb6l(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1uo0z247e42af(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1eovh9pyc6tyw(const regor::Operation *op, const Context &context);
void ErrorIfCheck_24jsin2zkf4ug(const regor::Operation *op, const Context &context);
void ErrorIfCheck_12uj5fltk5rbo(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1py9f91imwjxe(const regor::Operation *op, const Context &context);
void ErrorIfCheck_fn614zzdrdfd(const regor::Operation *op, const Context &context);
void ErrorIfCheck_338aejy0aeqeg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_7p5naeft5ga8(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2hqaqrremyime(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1wo90hck51cpk(const regor::Operation *op, const Context &context);
void ErrorIfCheck_v4b9g32rnf6p(const regor::Operation *op, const Context &context);
void ErrorIfCheck_22dev8it3bz2g(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3ms1pbkpa2td9(const regor::Operation *op, const Context &context);
void ErrorIfCheck_31ty7f0kcbfxg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1bm39avugkqqd(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3tv3oatlz37e2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_n7biu53x2n6k(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2fd4dk1zw032u(const regor::Operation *op, const Context &context);
void ErrorIfCheck_omgw2xdm6irr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_18hgmc3pexnw4(const regor::Operation *op, const Context &context);
void ErrorIfCheck_12uu5ff3t3lv8(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3puzf7van5acf(const regor::Operation *op, const Context &context);
void ErrorIfCheck_8tihij7a5ep0(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3lu68v2531bjz(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1fzl0zyxyd88z(const regor::Operation *op, const Context &context);
void ErrorIfCheck_10u6py7exa66n(const regor::Operation *op, const Context &context);
void ErrorIfCheck_396rg8p65j58r(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3oet4aggtv528(const regor::Operation *op, const Context &context);
}  // namespace checks
}  // namespace validator
}  // namespace tosa
namespace tosa
{
namespace validator
{
namespace checks
{
// Checks for TOSA specification 0.80.0
void ErrorIfCheck_4tfs5fdsigv(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3nav30dsmv6gd(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2p5uniza3kjyg(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1gr4n0iszdlxr(const regor::Operation *op, const Context &context);
void ErrorIfCheck_318wf63fa7ql0(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2d0jmyhr9lscf(const regor::Operation *op, const Context &context);
void ErrorIfCheck_28csiz8foar64(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3tu2mqt96ickt(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1hynqeiugz9lt(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1advtk54oueo2(const regor::Operation *op, const Context &context);
void ErrorIfCheck_192e2vu3t5aqm(const regor::Operation *op, const Context &context);
void ErrorIfCheck_5y7ov1oeymoa(const regor::Operation *op, const Context &context);
void ErrorIfCheck_oln8qpyh6lba(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3thipxl768n8b(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3bzibvkt1zqng(const regor::Operation *op, const Context &context);
void ErrorIfCheck_171if2aq7ntnm(const regor::Operation *op, const Context &context);
void ErrorIfCheck_1wbutqm1lq6qy(const regor::Operation *op, const Context &context);
void ErrorIfCheck_2x883ovw61v55(const regor::Operation *op, const Context &context);
void ErrorIfCheck_7yfu5xo1ii36(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3kc0n1wjhehqz(const regor::Operation *op, const Context &context);
void ErrorIfCheck_3rzfyy6qi1bly(const regor::Operation *op, const Context &context);
void ErrorIfCheck_23cyq2l8quj8p(const regor::Operation *op, const Context &context);
void ErrorIfCheck_13bcaagzywlqq(const regor::Operation *op, const Context &context);
void ErrorIfCheck_15kl5g5u1jrhq(const regor::Operation *op, const Context &context);
}  // namespace checks
}  // namespace validator
}  // namespace tosa
